Liferay.Loader.define("dynamic-data-mapping-form-field-type@5.0.110/Select/HiddenSelectInput.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var noop = function noop() {};

    var HiddenSelectInput = function HiddenSelectInput(_ref) {
      var multiple = _ref.multiple,
          name = _ref.name,
          options = _ref.options,
          value = _ref.value;
      return (/*#__PURE__*/_react.default.createElement(_form.ClaySelect, {
          "aria-hidden": "true",
          className: "form-control",
          hidden: true,
          id: name,
          multiple: true,
          name: name,
          onChange: noop,
          size: multiple ? options.length : null,
          value: value
        }, value.length ? options.map(function (option, index) {
          var isSelected = value.includes(option.value);

          if (isSelected) {
            return (/*#__PURE__*/_react.default.createElement(_form.ClaySelect.Option, {
                key: "hiddenSelect".concat(index),
                label: option.label,
                value: option.value
              })
            );
          }
        }) : /*#__PURE__*/_react.default.createElement(_form.ClaySelect.Option, {
          defaultValue: value.length,
          disabled: true,
          value: ""
        }))
      );
    };

    var _default = HiddenSelectInput;
    exports.default = _default;
    //# sourceMappingURL=HiddenSelectInput.es.js.map
  }
});
//# sourceMappingURL=HiddenSelectInput.es.js.map